libcgi-pm-perl (4.55-1) unstable; urgency=medium

  * Import upstream version 4.55.
  * Update test dependencies.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jan 2023 23:12:10 +0100

libcgi-pm-perl (4.54-1) unstable; urgency=medium

  * Import upstream version 4.54.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Feb 2022 19:15:10 +0100

libcgi-pm-perl (4.53-1) unstable; urgency=medium

  * Import upstream version 4.53.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Aug 2021 17:36:06 +0200

libcgi-pm-perl (4.51-1) unstable; urgency=medium

  * Import upstream version 4.51.

 -- gregor herrmann <gregoa@debian.org>  Tue, 06 Oct 2020 18:48:37 +0200

libcgi-pm-perl (4.50-1) unstable; urgency=medium

  * Import upstream version 4.50.

 -- gregor herrmann <gregoa@debian.org>  Mon, 22 Jun 2020 19:54:43 +0200

libcgi-pm-perl (4.49-1) unstable; urgency=medium

  * Import upstream version 4.49.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jun 2020 01:06:30 +0200

libcgi-pm-perl (4.48-1) unstable; urgency=medium

  * Import upstream version 4.48.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Thu, 04 Jun 2020 18:47:08 +0200

libcgi-pm-perl (4.47-1) unstable; urgency=medium

  * Import upstream version 4.47.

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 May 2020 22:23:12 +0200

libcgi-pm-perl (4.46-1) unstable; urgency=medium

  * Import upstream version 4.46.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Feb 2020 18:44:01 +0100

libcgi-pm-perl (4.45-1) unstable; urgency=medium

  * Import upstream version 4.45.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.4.1.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jan 2020 20:16:35 +0100

libcgi-pm-perl (4.44-1) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * Import upstream version 4.44.
  * Update upstream license.
  * Update years of packaging copyright.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Update ancient versioned Recommends/Breaks.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Jul 2019 12:15:10 -0300

libcgi-pm-perl (4.40-1) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 4.40.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.2.0.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Aug 2018 21:42:06 +0200

libcgi-pm-perl (4.38-1) unstable; urgency=medium

  * declare conformance with Policy 4.1.2 (no changes needed)
  * New upstream version 4.38

 -- Damyan Ivanov <dmn@debian.org>  Tue, 12 Dec 2017 21:11:51 +0000

libcgi-pm-perl (4.37-1) unstable; urgency=medium

  * New upstream version 4.37
    + Fix incorrect quoting of ? in ->url (GH #112, GH #222, with thanks to
      Reuben Thomas)

  * declare conformance with Policy 4.1.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 02 Nov 2017 15:16:28 +0000

libcgi-pm-perl (4.36-1) unstable; urgency=medium

  * Import upstream version 4.36.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 11 Jul 2017 20:52:03 +0200

libcgi-pm-perl (4.35-1) unstable; urgency=medium

  * Remove AGOSTINI Yves and Jonathan Yu from Uploaders.
    Thanks for your work!
  * Import upstream version 4.35.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Oct 2016 18:44:39 +0200

libcgi-pm-perl (4.32-1) unstable; urgency=medium

  * Import upstream version 4.32.
  * Update debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2016 18:48:24 +0200

libcgi-pm-perl (4.31-1) unstable; urgency=medium

  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Import upstream version 4.31.
    The MultipartBuffer package has been renamed to CGI::MultipartBuffer.
  * Update build dependencies.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Mon, 18 Jul 2016 23:01:54 +0200

libcgi-pm-perl (4.28-1) unstable; urgency=medium

  * Import upstream version 4.28
  * Drop build dependency on libtest-nowarnings-perl.
  * autopkgtest: skip t/compiles_pod.t which wants to run Test::Pod::* on
    *.pm files in the source tree which doesn't exist during autopkgtest,
    and fails over planning 0 tests.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Mar 2016 22:52:00 +0100

libcgi-pm-perl (4.26-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Import upstream version 4.26.
  * Declare compliance with Debian Policy 3.9.7.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Feb 2016 20:52:50 +0100

libcgi-pm-perl (4.25-1) unstable; urgency=medium

  * Import upstream version 4.25.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Jan 2016 19:22:22 +0100

libcgi-pm-perl (4.22-1) unstable; urgency=medium

  * Import upstream version 4.22
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Oct 2015 21:04:12 +0200

libcgi-pm-perl (4.21-1) unstable; urgency=medium

  * Import upstream version 4.20.
  * Import upstream version 4.21.
    Fixes "change to tempfile handling in 4.05 breaks Ikiwiki"
    (Closes: #786587)

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Jun 2015 22:22:30 +0200

libcgi-pm-perl (4.15-1) unstable; urgency=medium

  * Import upstream version 4.15
  * Update years of packaging copyright.
  * Add note about important changes to debian/NEWS.
  * Add new build and runtime dependency: libhtml-parser-perl.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 May 2015 22:06:49 +0200

libcgi-pm-perl (4.09-2) unstable; urgency=medium

  [ Jonathan Nieder ]
  * Add Breaks against versions of git in which gitweb and 'git instaweb'
    use the startform function.
    (Closes: #767960)

 -- gregor herrmann <gregoa@debian.org>  Wed, 05 Nov 2014 00:08:37 +0100

libcgi-pm-perl (4.09-1) unstable; urgency=medium

  * Import upstream version 4.09
    - fix temporary file handling when dealing with multiple files in MIME
      uploads

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Oct 2014 20:10:41 +0200

libcgi-pm-perl (4.08-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Import new upstream release 4.07
    + Drop all patches, applied upstream
  * Fix pkg-perl-specific lintian warning missing-testsuite-header

  [ gregor herrmann ]
  * Import upstream version 4.08
    - add multi_param() method to allow calling of param() in list context

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Oct 2014 22:47:40 +0200

libcgi-pm-perl (4.06-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Drop .pm suffix also in debian/watch's regular expression
  * Import new upstream release
    + README has been renamed to README.md, install it explicitly
    + Mention potentially disrupting changes in debian/NEWS.
  * Update path to CGI::Pretty in debian/copyright
  * Bump Standards-Version to 3.9.6 (no changes needed)

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Add some new libtest-*-perl build dependencies.
  * Add 2 trivial patches (spelling, POD syntax).

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Oct 2014 04:22:24 +0200

libcgi-pm-perl (4.03-1) unstable; urgency=medium

  [ Daniel Lintott ]
  * Correct homepage URL (drop .pm) in
           - debian/control
           - debian/watch
           - debian/copyright

  [ gregor herrmann ]
  * New upstream release 4.02.
  * Drop man-cgi-fast.patch which touched the removed CGI::Fast module.
  * Drop libfcgi-perl from Build-Depends-Indep and Recommends.
    Was needed by the removed CGI::Fast module.
  * Drop Replaces on old libcgi-fast-perl since we don't ship
    CGI::Fast anymore, and the versions were ancient anyway.
  * Recommend "new" separate libcgi-fast-perl package.
  * Add Breaks on older libcgi-fast-perl from perl source package.
  * Add an entry to debian/NEWS about the split of CGI::Fast.
  * Drop sentence about CGI being included in perl core from long
    description.

  * New upstream release 4.03.
    Fixes "perl-5.005: CGI::Cookie does not actually follow RFC 2109"
    (Closes: #64308)
  * Add deprecation warning to debian/NEWS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Aug 2014 11:58:20 -0700

libcgi-pm-perl (3.65-1) unstable; urgency=medium

  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Feb 2014 23:11:52 +0100

libcgi-pm-perl (3.64-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch man-cgi-fast.patch (offset).
  * Drop pod.patch, fixed upstream.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Dec 2013 20:23:00 +0100

libcgi-pm-perl (3.63-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
    Fixes "FTBFS with perl 5.18: test failures"
    (Closes: #711432)
  * Drop patch 0001-CR-escaping-for-P3P-and-Set-Cookie-headers.patch
    (applied upstream).
  * Update years of packaging copyright.
  * Add patch to fix POD errors.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Jun 2013 23:02:14 +0200

libcgi-pm-perl (3.61-2) unstable; urgency=low

  * Team upload.
  * Add 0001-CR-escaping-for-P3P-and-Set-Cookie-headers.patch
    [SECURITY] CVE-2012-5526: Newline injection due to improper CRLF
    escaping in Set-Cookie and P3P headers.
    Thanks to Niko Tyni <ntyni@debian.org> (Closes: #693421)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Nov 2012 07:54:36 +0100

libcgi-pm-perl (3.61-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 07 Nov 2012 19:02:45 +0100

libcgi-pm-perl (3.60-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Do not repack upstream tarball
  * Update copyright to Copyright-Format 1.0
  * Bump Standards-Version to 3.9.3 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 16 Aug 2012 12:11:52 +0200

libcgi-pm-perl (3.59+dfsg-1) unstable; urgency=low

  * New upstream release
  * Drop do-not-use-shellwords.patch and spelling.patch (merged upstream)
  * Update debian/NEWS with behaviour change

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 30 Dec 2011 19:32:53 +0100

libcgi-pm-perl (3.58+dfsg-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Nicholas Bamber ]
  * New upstream release

  [ Alessandro Ghedini ]
  * Drop bad-url-test.patch (merged upstream)
  * Add do-not-use-shellwords.patch
    (fixes perl-module-uses-perl4-libs-without-dep)
  * Refresh patches
  * Remove *.gif images from upstream tarball
    (not in preferred form of modification)

  [ gregor herrmann ]
  * Add build dependency on Test::More 0.98.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 13 Nov 2011 14:19:28 +0100

libcgi-pm-perl (3.55-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * New upstream release 3.54

  [ Alessandro Ghedini ]
  * New upstream release
  * Bump debhelper compat level to 8
  * Add myself to Uploaders
  * Add debian/NEWS to report incompatible changes
  * Refresh patches
  * Add bad-url-test patch

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 12 Jun 2011 16:09:02 +0200

libcgi-pm-perl (3.53-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Removed watch file hack as it no longers seems to be necessary
  * New upstream release
  * Raised standards version to 3.9.2
  * Reviewed spelling.patch
  * Email change: Ansgar Burchardt -> ansgar@debian.org
  * Refreshed copyright

  [ Salvatore Bonaccorso ]
  * debian/copyright: Re-add Niko Tyni to copyright for debian/*
    packaging.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 26 Apr 2011 17:54:46 +0100

libcgi-pm-perl (3.52-1) unstable; urgency=low

  * New upstream release
  * Refreshed patches as required

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 25 Jan 2011 22:24:13 +0000

libcgi-pm-perl (3.51-1) unstable; urgency=low

  [ Niko Tyni ]
  * New upstream release.
    + [SECURITY] CVE-2010-4411: fixes a double CR/LF injection vulnerability,
      the last missing bit for the CVE-2010-2761 + CVE-2010-4410 issues
      that were fixed in 3.50. (Closes: #606370)
    + fixes writeability checks of the temporary directory for file uploads,
      and documents supported ways to override the builtin directories.
      (Closes: #367711)
  * debian/patches/fix-pod-spelling.patch: removed, included upstream

  [ gregor herrmann ]
  * debian/watch: add URL for the unoffical 3.51 release in order to make it
    uscan-able.
  * debian/copyright: update list for debian/* and update formatting.
  * Add patch spelling.patch to fix a spelling mistake in various files.

 -- gregor herrmann <gregoa@debian.org>  Thu, 13 Jan 2011 22:10:07 +0100

libcgi-pm-perl (3.50-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Update my email address.

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * Upped standards version
  * Removed quilt cruft
  * Updated format of watch file to handle upstream change
  * New upstream release
  * Added debian/source/format
  * Refreshed copyright
  * Updated spelling patch with patch available on CPAN
  * Changed 'Conflicts' to 'Breaks' and added similar Replaces clause

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 21 Nov 2010 15:55:52 +0000

libcgi-pm-perl (3.49-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.4 (no changes)
  * Rewrite long description
  * Add myself to Uploaders and Copyright
  * Refresh man-cgi-fast.patch
  * Update to new DEP5 copyright format
  * Change shebang override to improve readability
  * Add patch to fix POD spelling
  * No longer install HTML docs, they look to be
    outdated and unmaintained

  [ gregor herrmann ]
  * debian/control: s/perl-modules/perl/ in long description.
  * Install CGI::Fast again; conflict on older libcgi-fast-perl instead of
    depending on it (closes: #565551).
  * Add libfcgi-perl to Recommends (needed by CGI::Fast).

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 07 Feb 2010 21:54:03 -0500

libcgi-pm-perl (3.48-1) unstable; urgency=low

  * New upstream release

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 26 Sep 2009 12:05:32 +0200

libcgi-pm-perl (3.47-1) unstable; urgency=low

  * New upstream release
    + Refresh patch.
  * Correct path to interpreter in an additional example.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 19 Sep 2009 11:28:42 +0200

libcgi-pm-perl (3.45-1) unstable; urgency=low

  * New upstream release
    + update file names in man-cgi-fast.patch
  * debian/control: Make build-dep on perl unversioned
  * Bump Standards-Version to 3.8.3

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 18 Aug 2009 20:18:54 +0200

libcgi-pm-perl (3.44-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * New upstream release
  * Bump Standards-Version to 3.8.2 (no changes).
  * Use shorter debian/rules.

  [ gregor herrmann ]
  * Install HTML documentation.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 31 Jul 2009 12:36:47 +0200

libcgi-pm-perl (3.43-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Ansgar Burchardt ]
  * New upstream release.
  * Bump Standards Version to 3.8.1 (no changes).
  * Add Build-Dep on libfcgi-perl to enable additional tests.
  * Add description to man-cgi-fast.patch

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 12 Apr 2009 11:57:51 +0200

libcgi-pm-perl (3.42-1) unstable; urgency=low

  * New upstream release.
  * Install examples; fix hashbang in example scripts from debian/rules.
  * Add /me to Uploaders.
  * Make debian/README.source more verbose.

 -- gregor herrmann <gregoa@debian.org>  Tue, 09 Sep 2008 17:36:20 +0200

libcgi-pm-perl (3.41-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New upstream release.
  * lintian override no longer needed

  [ gregor herrmann ]
  * debian/rules: use make's $(RM) instead of plain rm.

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 28 Aug 2008 13:55:12 +0200

libcgi-pm-perl (3.40-1) unstable; urgency=low

  * New upstream release
    + Update debian/patches/man-cgi-fast.patch
  * Refresh rules for debhelper 7
  * debian/copyright: Update to current format, don't list Debian Perl Group
    as copyright holder
  * Add myself to Uploaders

 -- Ansgar Burchardt <ansgar@43-1.org>  Thu, 07 Aug 2008 14:07:31 +0200

libcgi-pm-perl (3.38-2) unstable; urgency=medium

  * Do not ship CGI/Fast.pm, avoiding conflict with libcgi-fast-perl. Instead,
    Depend on that. Closes: #489928. Thanks to Ralf Treinen for reporting.
  * add myself to Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Tue, 08 Jul 2008 22:59:58 +0300

libcgi-pm-perl (3.38-1) unstable; urgency=low

  * Initial Release. (Closes: #486943)
  * CGI.pm is in perl-modules, libcgi-pm-perl is only for special updates

 -- AGOSTINI Yves <agostini@univ-metz.fr>  Thu, 26 Jun 2008 10:10:35 +0200
